/* --------------------------------------------------------------------------
 * Copyright 1992 by Forschungszentrum Informatik (FZI)
 *
 * You can use and distribute this software under the terms of the licence
 * you should have received along with this program.
 * If not or if you want additional information, write to
 * Forschungszentrum Informatik, "STONE", Haid-und-Neu-Strasse 10-14,
 * D-7500 Karlsruhe 1, Germany.
 * --------------------------------------------------------------------------
 */
/* monitor of persistent storage manager: header */

#ifndef MONH
#define MONH 1
#ifdef MONITOR

typedef unsigned mon_Window;

extern void mon_initialize  ();

extern mon_Window mon_create(int cid, int last);
extern void mon_open (mon_Window w, int rw /*0=read, 1=write*/, char* title);
extern void mon_close (mon_Window w);
extern void mon_destroy (mon_Window w);

extern void mon_black (mon_Window w, int n);
extern void mon_grey (mon_Window w, int n);
extern void mon_white (mon_Window w, int n);

#endif MONITOR
#endif MONH
