/* --------------------------------------------------------------------------
 * Copyright 1992 by Forschungszentrum Informatik (FZI)
 *
 * You can use and distribute this software under the terms of the licence
 * you should have received along with this program.
 * If not or if you want additional information, write to
 * Forschungszentrum Informatik, "STONE", Haid-und-Neu-Strasse 10-14,
 * D-7500 Karlsruhe 1, Germany.
 * --------------------------------------------------------------------------
 */
#ifndef ERRPSMH
#define ERRPSMH 1

#include "err.h"

extern const err_msg err_PSM_ACCESS_ON_TEMP;
extern const err_msg err_PSM_ADD_WITH_TEMP;
extern const err_msg err_PSM_ALLOC_NULL_BYTES;
extern const err_msg err_PSM_CLEAR_ON_TEMP;
extern const err_msg err_PSM_CLOSE_ON_TEMP;
extern const err_msg err_PSM_COMMIT_ON_TEMP;
extern const err_msg err_PSM_CONTAINER_TABLE_FULL;
extern const err_msg err_PSM_CREATE_FAILED;
extern const err_msg err_PSM_DEALLOC_NULL_BYTES;
extern const err_msg err_PSM_DEALLOCATE_WRONG_OFFSET;
extern const err_msg err_PSM_DESTROY_ON_TEMP;
extern const err_msg err_PSM_DESTROY_DURING_CHECKOUT;
extern const err_msg err_PSM_DESTROYED_CONTAINER;
extern const err_msg err_PSM_EMPTY_ON_TEMP;
extern const err_msg err_PSM_EXISTS;
extern const err_msg err_PSM_FREELIST_CHECK_FAILED;
extern const err_msg err_PSM_INVALID_CURSOR;
extern const err_msg err_PSM_LOST_ALL_LOCKS;
extern const err_msg err_PSM_MODIFIED_ON_TEMP;
extern const err_msg err_PSM_NO_ACCESS;
extern const err_msg err_PSM_NONWRITEABLE_CONTAINER;
extern const err_msg err_PSM_OPEN_ON_TEMP;
extern const err_msg err_PSM_OPEN_TWICE;
extern const err_msg err_PSM_PATH_TOO_LONG;
extern const err_msg err_PSM_RESET_ON_TEMP;
extern const err_msg err_PSM_STATUS_ON_TEMP;
extern const err_msg err_PSM_TEMP_FULL;
extern const err_msg err_PSM_UNOPENED_CONTAINER;
extern const err_msg err_PSM_WRITEPAGE;
extern const err_msg err_PSM_WRONG_OFFSET;
extern const err_msg err_PSM_WRONG_OFFSET_IN_OBJ_EXIST;

extern const err_msg err_CNT_USAGE;
extern const err_msg err_CNT_OPEN_FAILED;
extern const err_msg err_CNT_CONTAINER_BUSY;

extern const err_msg err_NO_CONTAINER_PATH;

extern const err_msg err_MON_SERVER_CONNECTION_FAILED;
extern const err_msg err_MON_PIXMAP_CREATION_FAILED;

#endif
