/* --------------------------------------------------------------------------
 * Copyright 1992 by Forschungszentrum Informatik (FZI)
 *
 * You can use and distribute this software under the terms of the licence
 * you should have received along with this program.
 * If not or if you want additional information, write to
 * Forschungszentrum Informatik, "STONE", Haid-und-Neu-Strasse 10-14,
 * D-7500 Karlsruhe 1, Germany.
 * --------------------------------------------------------------------------
 */
#include "psm_err.h"

const err_msg err_PSM_ACCESS_ON_TEMP="access() not allowed on temporary container";
const err_msg err_PSM_ADD_WITH_TEMP="+= not allowed on temporary container";
const err_msg err_PSM_ALLOC_NULL_BYTES="not allowed to allocate null bytes";
const err_msg err_PSM_CLEAR_ON_TEMP="clear() not allowed on temporary container";
const err_msg err_PSM_CLOSE_ON_TEMP="close() not allowed on temporary container";
const err_msg err_PSM_COMMIT_ON_TEMP="commit() not allowed on temporary container";
const err_msg err_PSM_CONTAINER_TABLE_FULL="container table full";
const err_msg err_PSM_CREATE_FAILED="cannot create container";
const err_msg err_PSM_DEALLOC_NULL_BYTES="not allowed to deallocate null bytes";
const err_msg err_PSM_DEALLOCATE_WRONG_OFFSET="deallocate on table of free blocks (offset<1024)";
const err_msg err_PSM_DESTROY_ON_TEMP="destroy() not allowed on temporary container";
const err_msg err_PSM_DESTROY_DURING_CHECKOUT="destroy() not allowed during checkout";
const err_msg err_PSM_DESTROYED_CONTAINER="operation is not allowed on a destroyed container";
const err_msg err_PSM_EMPTY_ON_TEMP="empty() not allowed on temporary container";
const err_msg err_PSM_EXISTS="error while exists(): invalid containerstatus";
const err_msg err_PSM_FREELIST_CHECK_FAILED="you reads/writes/deallocates a part of a block of the freelist";
const err_msg err_PSM_INVALID_CURSOR="get() on containerset with invalid sos_container_cursor";
const err_msg err_PSM_LOST_ALL_LOCKS="you have lost all locks when trying a writelock to the container";
const err_msg err_PSM_MODIFIED_ON_TEMP="modified() called on temporary container";
const err_msg err_PSM_NO_ACCESS="access() called on unopened container";
const err_msg err_PSM_NONWRITEABLE_CONTAINER="container not opened for writing";
const err_msg err_PSM_OPEN_ON_TEMP="open() not allowed on temporary container";
const err_msg err_PSM_OPEN_TWICE="open() called on opened container";
const err_msg err_PSM_PATH_TOO_LONG="container path too long";
const err_msg err_PSM_RESET_ON_TEMP="reset() not allowed on temporary container";
const err_msg err_PSM_STATUS_ON_TEMP="status() not allowed on temporary container";
const err_msg err_PSM_TEMP_FULL="no more space in temporary container";
const err_msg err_PSM_UNOPENED_CONTAINER="access to unopened container";
const err_msg err_PSM_WRITEPAGE="internal error in writepage";
const err_msg err_PSM_WRONG_OFFSET="access outside allocated area";
const err_msg err_PSM_WRONG_OFFSET_IN_OBJ_EXIST="wrong offset when using object_exists()";

const err_msg err_CNT_USAGE="usage:cnt [-t] (-o | -d | -s) <container>";
const err_msg err_CNT_OPEN_FAILED="cnt: open failed";
const err_msg err_CNT_CONTAINER_BUSY="cnt: container busy";

const err_msg err_NO_CONTAINER_PATH="environment variable SOSCONTAINER not set";

const err_msg err_MON_SERVER_CONNECTION_FAILED="cannot connect to X server";
const err_msg err_MON_PIXMAP_CREATION_FAILED="cannot create bitmap";
